io.undertow.security.handlers

## Class AuthenticationCallHandler

- java.lang.Object
- - io.undertow.security.handlers.AuthenticationCallHandler

All Implemented Interfaces:
  HttpHandler

    public class AuthenticationCallHandler
    extends Object
    implements HttpHandler

This is the final `HttpHandler` in the security chain, it's purpose is to act as a barrier at the end of the chain to ensure authenticate is called after the mechanisms have been associated with the context and the constraint checked.

Author:
  Darran Lofthouse

### Constructor Summary

Constructors
Constructor and Description
`AuthenticationCallHandler(HttpHandler next)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `handleRequest(HttpServerExchange exchange)` Only allow the request through if successfully authenticated or if authentication is not required.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AuthenticationCallHandler

    public AuthenticationCallHandler(HttpHandler next)

### Method Detail

#### handleRequest

    public void handleRequest(HttpServerExchange exchange)
                       throws Exception

Only allow the request through if successfully authenticated or if authentication is not required.

Specified by:
  `handleRequest` in interface `HttpHandler`
Parameters:
  `exchange` - the HTTP request/response exchange
Throws:
  `Exception`
See Also:
  `HttpHandler.handleRequest(io.undertow.server.HttpServerExchange)`